Subject: bug#24421: 25.1.50; mouse-yank-primary should be bound to down-mouse-2

From: Stefan Kangas <[email-masked]>
Date: Fri, 29 Nov 2019 13:42:47 +0100

Philipp Stephani <[email-masked]> writes:

> Nope, it hasn't. It's just that the middle button of my touchpad
> generates they KeyPress event on key release (!). With a different
> mouse the behavior is as described: In GEdit and Gnome Terminal,
> pasting happens on key press; in Emacs it happens on key release.

My mouse generates KeyPress event when I click the middle mouse
button, and the KeyRelease event when I release it.  X applications
paste on KeyRelease here.  So I'm not sure what is going on here.

What does xev say happens when you click the mouse button in the
second case?

Best regards,
Stefan Kangas